Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapePartFactory

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.AscapePartFactory

Direct Known Subclasses:
  Ascape3DPartFactory

    public class AscapePartFactory

extends java.lang.Object

A factory for creating AscapePart objects.

Field Summary
`(package private) AscapeProvider` | `ascapeProvider`
`(package private) IFilter` | `filter`

Constructor Summary
`AscapePartFactory()`

Method Summary
`EditPart` | `createEditPart(EditPart context, java.lang.Object model)`
`IFilter` | `getFilter(Scape scape)`
`protected ICompositionProvider` | `getMemberProvider(Scape scape)`
`protected EditPart` | `getPartForElement(java.lang.Object model)` Maps an object to an EditPart.
`void` | `setFilter(IFilter filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ascapeProvider

    AscapeProvider ascapeProvider

### filter

    IFilter filter

Constructor Detail

### AscapePartFactory

    public AscapePartFactory()

Method Detail

### createEditPart

    public EditPart createEditPart(EditPart context,
                                   java.lang.Object model)

  Parameters:
    `context` -
    `model` -
  Returns:
  See Also:
    `org.eclipse.gef.EditPartFactory#createEditPart(org.eclipse.gef.EditPart, java.lang.Object)`

### getPartForElement

    protected EditPart getPartForElement(java.lang.Object model)

  Maps an object to an EditPart.

  Parameters:
    `model` - the model
  Returns:
    the part for element
  Throws:
    `java.lang.RuntimeException` - if no match was found (programming error)

### getMemberProvider

    protected ICompositionProvider getMemberProvider(Scape scape)

### getFilter

    public IFilter getFilter(Scape scape)

### setFilter

    public void setFilter(IFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors